Reference for Processing version 1.5. If you have a previous version, use the reference included with your software. If you see any errors or have suggestions, please let us know. If you prefer a more technical reference, visit the Processing Javadoc.

Name | ### curveTightness()
Examples |
    // White curve
    noFill();
    stroke(255);
    beginShape();
    curveVertex(10, 26);
    curveVertex(10, 26);
    curveVertex(83, 24);
    curveVertex(83, 61);
    curveVertex(25, 65);
    curveVertex(25, 65);
    endShape();

    // Gray curve
    stroke(126);
    curveTightness(3.5);
    beginShape();
    curveVertex(10, 26);
    curveVertex(10, 26);
    curveVertex(83, 24);
    curveVertex(83, 61);
    curveVertex(25, 65);
    curveVertex(25, 65);
    endShape();

    // Black curve
    stroke(0);
    curveTightness(-2.5);
    beginShape();
    curveVertex(10, 26);
    curveVertex(10, 26);
    curveVertex(83, 24);
    curveVertex(83, 61);
    curveVertex(25, 65);
    curveVertex(25, 65);
    endShape();
Description | Modifies the quality of forms created with curve() and curveVertex(). The parameter squishy determines how the curve fits to the vertex points. The value 0.0 is the default value for squishy (this value defines the curves to be Catmull-Rom splines) and the value 1.0 connects all the points with straight lines. Values within the range -5.0 and 5.0 will deform the curves but will leave them recognizable and as values increase in magnitude, they will continue to deform.
Syntax |
    curveTightness(squishy)
Parameters |
squishy | float or int: amount of deformation from the original vertices
Returns | None
Usage | Web & Application
Related | curve() curveVertex()

Updated on August 30, 2010 04:29:39pm EDT